USN-230-1: ffmpeg vulnerability
Posted on: 12/16/2005 02:12 PM

A new ffmpeg vulnerability update is available for Ubuntu Linux. Here the announcement:

Ubuntu Security Notice USN-230-1 December 14, 2005
ffmpeg vulnerability
CVE-2005-4048
===========================================================

A security issue affects the following Ubuntu releases:

Ubuntu 5.04 (Hoary Hedgehog)

The following packages are affected:

libavcodec-dev
kino

The problem can be corrected by upgrading the affected package to
version 3:0.cvs20050121-1ubuntu1.1 (libavcodec-dev), and
0.75-6ubuntu0.1 (kino). In general, a standard system upgrade is
sufficient to effect the necessary changes.

Details follow:

Simon Kilvington discovered a buffer overflow in the
avcodec_default_get_buffer() function of the ffmpeg library. By
tricking an user into opening a malicious movie which contains
specially crafted PNG images, this could be exploited to execute
arbitrary code with the user's privileges.


Source archives:

http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/ffmpeg_0.cvs20050121-1ubuntu1.1.diff.gz
Size/MD5: 9033 4878968bff9fe53442fab66dad190a41
http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/ffmpeg_0.cvs20050121-1ubuntu1.1.dsc
Size/MD5: 776 1fd3ea52c6ac45334f48f9d46964f9ca
http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/ffmpeg_0.cvs20050121.orig.tar.gz
Size/MD5: 1781944 20b305e0943289b6e361bc15f664ff40
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75-6ubuntu0.1.diff.gz
Size/MD5: 26236 78a05be921f6fd2cdb4f95ef39b4c802
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75-6ubuntu0.1.dsc
Size/MD5: 863 07e9bcc599b324c566f4fbf185d45196
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75.orig.tar.gz
Size/MD5: 1227042 592f90be63feb7e63940cedd68edcf79

amd64 architecture (Athlon64, Opteron, EM64T Xeon)

http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/ffmpeg_0.cvs20050121-1ubuntu1.1_amd64.deb
Size/MD5: 3896862 7caacb873b5a1279643e8fb6edb94397
http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libavcodec-dev_0.cvs20050121-1ubuntu1.1_amd64.deb
Size/MD5: 2284570 81e81570170a3d3a47c38f5c5792ac50
http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/libavformat-dev_0.cvs20050121-1ubuntu1.1_amd64.deb
Size/MD5: 525978 823b6f6f704390e7694a119290a4f44c
http://security.ubuntu.com/ubuntu/pool/multiverse/f/ffmpeg/libpostproc-dev_0.cvs20050121-1ubuntu1.1_amd64.deb
Size/MD5: 35840 71aeb8560e445631b8c0dc1a30b87a4f
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75-6ubuntu0.1_amd64.deb
Size/MD5: 1365530 c477f48e1da9800227c41db4aab0a63b

i386 architecture (x86 compatible Intel/AMD)

http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/ffmpeg_0.cvs20050121-1ubuntu1.1_i386.deb
Size/MD5: 3720730 476267af9cef8074880443fd2e8e2de3
http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libavcodec-dev_0.cvs20050121-1ubuntu1.1_i386.deb
Size/MD5: 2175620 a3261d90eea9e139a64d58e900c4a196
http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/libavformat-dev_0.cvs20050121-1ubuntu1.1_i386.deb
Size/MD5: 510254 2d440bae3b03b7e42efa640266eaa4c1
http://security.ubuntu.com/ubuntu/pool/multiverse/f/ffmpeg/libpostproc-dev_0.cvs20050121-1ubuntu1.1_i386.deb
Size/MD5: 39628 5c44709021d4b31bb0956cd2b9c3ffaf
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75-6ubuntu0.1_i386.deb
Size/MD5: 1308590 754396303f2d4053957114b4d706194a

powerpc architecture (Apple Macintosh G3/G4/G5)

http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/ffmpeg_0.cvs20050121-1ubuntu1.1_powerpc.deb
Size/MD5: 4434766 65608daf2134783cff567c7bae87965c
http://security.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libavcodec-dev_0.cvs20050121-1ubuntu1.1_powerpc.deb
Size/MD5: 2581464 a4761dd10fe9dfd27e3f867e89c4db3c
http://security.ubuntu.com/ubuntu/pool/universe/f/ffmpeg/libavformat-dev_0.cvs20050121-1ubuntu1.1_powerpc.deb
Size/MD5: 592980 7e6d76980d544b8f2f85eb90438feb94
http://security.ubuntu.com/ubuntu/pool/multiverse/f/ffmpeg/libpostproc-dev_0.cvs20050121-1ubuntu1.1_powerpc.deb
Size/MD5: 64342 d16c55593444668ad948c052af0c3652
http://security.ubuntu.com/ubuntu/pool/main/k/kino/kino_0.75-6ubuntu0.1_powerpc.deb
Size/MD5: 1489120 aef040ebc4a65532d627fa90df7c83d1

--ChQOR20MqfxkMJg9
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDoDlrDecnbV4Fd/IRApiJAKCe5L6r48q1BKCmUr9IQe3Nxv+ALgCfVpvb
BeHaUPiE8egGdDYVIFjKBes=
=lvmq
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/usn_230_1_ffmpeg_vulnerability.html)